<?php
session_start(); 
  include_once("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
	   $id_cd=$sesion->id;
extract($_POST);

$continuar=0;
$gastos=0;
$entradas=0;
$salidas=0;
$efectivo=0;
$prod=array();

function getRealIpAddr()
{
    if (!empty($_SERVER['HTTP_CLIENT_IP']))   //check ip from share internet
    {
      $ip=$_SERVER['HTTP_CLIENT_IP'];
    }
    elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR']))   //to check ip is pass from proxy
    {
      $ip=$_SERVER['HTTP_X_FORWARDED_FOR'];
    }
    else
    {
      $ip=$_SERVER['REMOTE_ADDR'];
    }
    return $ip;
}

$theip=getRealIpAddr();

$qp32 = "select nombre, direccion from usuarios_ci where idusuarios_ci=$id_cd";
   $cp32 = mysqli_query($conexion, $qp32) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp32 = mysqli_fetch_object($cp32);	
	$nomcd = $rp32->nombre;$dircd = $rp32->direccion;
$qp3 = "select cantidad, fechac, horac from cortecaja where id_cd=$id_cd order by fechac DESC";
   $cp3 = mysqli_query($conexion, $qp3) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp3 = mysqli_fetch_object($cp3);	
if(mysqli_affected_rows($conexion))
{	
	
	$cajaini = $rp3->cantidad;
	$fechai = $rp3->fechac;
    $horai = $rp3->horac;
	 $observaciones = $rp3->observaciones;
$qp31 = "select now() as lafech";
   $cp31 = mysqli_query($conexion, $qp31) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp31 = mysqli_fetch_object($cp31);	
	$hoy = $rp31->lafech;
	
if($fechai==$hoy){
	echo"<br><br><br><center><font size=\"+1\"  color=\"#990000\"><b>EL corte del d&iacute;a ya fue realizado<br>
	No es posible realizar movimientos</b></font><br><br>
	<form name=\"Agrega\" action=\"cortecaja2.php\" method=\"post\"><input type=hidden name=total value=$cajaini />
	<input type=hidden name=ver value=1 />
<input type=\"submit\" name=\"aceptar\" id=\"aceptar\" value=\"Ver Reporte\" /></form>";
	
	}else{	
	/*
$qp32 = "select nombre from usuarios_ci where idusuarios_ci=$entrega";
   $cp32 = mysqli_query($conexion, $qp32) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp32 = mysqli_fetch_object($cp32);	
	$nomentrega = $rp32->nombre;
 
$qPP = "select id_prod, nombreProd, cant from pedido join productos on pedido.productos_idprod=productos.id_prod where transacciones_idtransacciones=$trans order by nombreProd";

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));

*/
echo"<table><tr><td width=700>

";
if( !isset($ver) && $ver!=1){
	$qPP8 = "insert into cortecaja(id_cd, cantidad, fechac, horac, observaciones) values ('$id_cd', '$fin',curdate(),curtime(),'$comments')";
$rPP8 = mysqli_query($conexion, $qPP8) or die ('ErrPP: '. mysqli_error($conexion));}
echo "<center><b>C.D. $id_cd $dircd<br><b>Corte del d&iacute;a: $hoy</b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;desde $theip<br>
Corte anterior realizado el d&iacute;a: <b>$fechai</b> a las <b>$horai</b><br>";
if($comments!=null){echo"Comentarios: <b>$observaciones</b>$comments<br>";}

$qPP = "select sum(cantidad) as cant, sum(puntos) as ptos, sum(efectivo) as ef, sum(deposito) as de, sum(tarjeta) as ta, sum(regalias) as re, sum(voucher) as vo, sum(porpagar) as pp from transacciones join depositos on depositos.transacciones_idtransacciones=transacciones.idtransacciones join pagovta on transacciones.idtransacciones=pagovta.idtransacciones where fechat>'$fechai' and usuarios_ci_idusuarios_ci=$id_cd ";
	

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));
  
if(mysqli_affected_rows($conexion))
{
	echo "
			
	<br><font size=\"+1\"><b>Resumen de ventas:</b></font><table border=\"1\"> <th>Cantidad</th><th>Efectivo</th><th>Deposito</th><th>Tarjeta</th>
	<th>Voucher</th><th>X Pagar</th></tr>";
	
	while (($objetoPP=mysqli_fetch_object($rPP)) )
{
$idprodt=$objetoPP->id_prod;
$efectivo=$objetoPP->ef;
	echo "<tr>
			 <td align=\"center\">$ $objetoPP->cant</td>
			
			 <td align=\"center\">$ $objetoPP->ef</td>
			 <td align=\"center\">$ $objetoPP->de</td>
			 <td align=\"center\">$ $objetoPP->ta</td>
		
			 <td align=\"center\">$objetoPP->vo</td>
			 <td align=\"center\">$objetoPP->pp</td>
           </tr> ";
			

		    
}
	
   
   
   echo"</table><br>";
}
 


echo"
<font size=\"+1\"><b>Resumen Caja</b></font><br>
<table border=\"1\" width=\"600\" align=\"center\">
<tr><td>Inicial en caja</td><td><b>$ $cajaini</b></td><td>Ventas Efectivo</td><td><b>$ $efectivo</b></td><td>Entradas Efectivo</td><td><b>$ $eef</b></td></tr>
<tr><td>Total Gastos</td><td><b>-$ $gtos</b></td><td>Salidas Efectivo</td><td><b>-$ $sef</b></td><td>Saldo Final</td><td><b>$ $fin</b></td></tr></table>";
echo"<br><center><table><tr><td><font size=\"+1\"><b>Producto Entregado</b></font>";


$q2 = "select sum(cant), nombreprod, precio, puntos from pedido join transacciones on (transacciones.idtransacciones=pedido.transacciones_idtransacciones) join productos on (productos.id_prod=pedido.productos_idprod) where 	transacciones.cdentrega=$id_cd and statusentrega='ENTREGADO' and fechae= curdate()  group by productos_idprod";

  

  $c2 = mysqli_query($conexion, $q2) or die ('Error en la consulta' . mysqli_error($conexion));
if(mysqli_affected_rows($conexion)){
  echo"<table border=\"1\"> <tr>

			<th>Cantidad</th><th>Producto</th>

			</tr>";

  for($i=0;$r1 = mysqli_fetch_row($c2);$i++)

   {

	   $a0 = $r1[0];

	   $a1 = $r1[1];

	   $a2 = $r1[2];

	   $a3 = $r1[3];

	 

	  

	   $tot=$a0*$a2;

	   $vta_total+=$tot;

	  

echo"<tr><td>$a0</td><td>$a1</td></tr>";

	}

	echo"</table><br>";

	}echo"</td><td width=30></td><td>";

  $q2 = "SELECT sum(deposito), cuenta, numero  FROM transacciones join "
        . "depositos on depositos.transacciones_idtransacciones=transacciones.idtransacciones join "
        . "pagovta on transacciones.idtransacciones=pagovta.idtransacciones join "
        . "bancos on bancos.idbanco=depositos.banco_idbanco "
        . "WHERE usuarios_ci_idusuarios_ci=$id_cd and deposito>0 and fechat=curdate()  "
        . "group by banco_idbanco order by banco_idbanco";
        
        $c2 = mysqli_query($conexion, $q2) or die ('Error en la consulta 1234' . mysqli_error($conexion));

  echo"<center><br><font size=\"+1\"><b>Depositos por banco</b></font> <table border=\"1\"> <tr>
        <th>Banco</th><th>Cantidad</th></tr>";

  for($i=0;$r1 = mysqli_fetch_row($c2);$i++){
$a0 = $r1[0];
$a1 = $r1[1];
$a2 = $r1[2];
$vta5_totalt+=$a0;
echo"<tr><td align=\"center\"><b>$a1 $a2</b></td><td>$ $a0</td>";}
$vta5_totalt_Form=number_format($vta5_totalt, 2, '.', ',');
echo"</tr></table>Total depositado: <font size=\"5\"> <b>$ $vta5_totalt_Form</b></font><br>";




echo"</td></tr></table>";

echo"<br><br><br><table><tr><td>Entrada:______________<br>Salida:______________</td><td width=20></td><td><center>___________________________________________<br>$nomcd</center></td></tr></table><br><br><br>";
echo"</td></tr></table>";

	}
	
}else


{
	
	
	echo"<center><br><font color=\"#000099\" size=\"+2\"><b>Corte de caja</b></font><br><br>
Este usuario no cuenta no cuenta con caja inicial registrada<br>
Favor de ingresar la cantidad inicial en caja para continuar <br><br>

<form name=\"Agrega\" action=\"iniciocaja.php\" method=\"post\">
Cantidad Inicial en Caja: &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;$<input type=\"text\" name=cantidad size=\"4\" maxlength=\"10\"><br>
<br><input type=\"submit\" name=\"aceptar\" id=\"aceptar\" value=\"Ingresar caja inicial\" /></form>
<br><br>

";
	
	
	
	}
?>

